#
# spec file for package kail
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kail
Version:        0.15.0
Release:        bp153.1.65
Summary:        Kubernetes log viewer
License:        MIT
Group:          System/Management
URL:            https://github.com/boz/kail
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
BuildRequires:  golang(API) >= 1.12
ExcludeArch:    s390
ExcludeArch:    %{ix86}

%description
Kubernetes tail: streams logs from all containers of all matched pods.
Match pods by service, replicaset, deployment, and others. Adjusts to a
changing cluster - pods are added and removed from logging as they fall
in or out of the selection.

%prep
%setup -qa1

%build
# use vendor directory and build as position independent executeable
sed -i -e 's|$(GO) build|go build -mod vendor -buildmode=pie|g' Makefile
make build

%install
# Install the binary.
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 kail %{buildroot}%{_bindir}/kail

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/kail

%changelog
* Wed Mar  4 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.15.0
  - Use kcache 0.4
- Refresh vendor.tar.xz
* Tue Feb 18 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.14.2
  - Capture logs from terminated containers
- Update vendor.tar.gz
* Wed Jan 22 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.13.0
  - Add job filter
- Update vendor.tar.gz
* Tue Oct 29 2019 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.12.0
  - Handle the case when listing namespaces is forbidden (#42)
- Update vendor.tar.gz
* Mon Aug 12 2019 kukuk@suse.de
- Update to version 0.11.0
  - Write to /dev/stderr in a cross-platform way by default (#41)
* Fri Jul 26 2019 Thorsten Kukuk <kukuk@suse.com>
- Initial version
